# Method: projects.versions.create

- [HTTP request](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/create#body.request_body)
  - [JSON representation](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/create#body.response_body)

Creates a project version based on the model and triggers deployment to the specified release channel, if specified.

### HTTP request

`POST https://actions.googleapis.com/v2/{parent=projects/*}/versions:create`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name in the format `projects/{project}`. The `{project}` is the cloud project ID associated with the project. |

### Request body

The request body contains data with the following structure:

| JSON representation ||
|---|---|
| ``` { "files": { object (`https://developers.google.com/assistant/actions/api/reference/rest/v2/Files`) }, "releaseChannel": string } ``` |

| Fields ||
|---|---|
| `files` | ``object (`https://developers.google.com/assistant/actions/api/reference/rest/v2/Files`)`` Required. List of files sent to the server at a time. This is a list of config files or data files. 1. The first request must be a ConfigFiles. 2. The first request must have a ConfigFile with 'settings'. 3. The first request must have a ConfigFile with 'manifest'. 4. The webhook ConfigFile corresponding to inline cloud function must be streamed before the DataFile corresponding to its source code. |
| `releaseChannel` | `string` Optional. The release channel to deploy the version, if specified. The supported built in release channels are actions.channels.Production, actions.channels.ClosedBeta, actions.channels.Alpha. . |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/assistant/actions/api/reference/rest/v2/Version`.